Latest version (2.6.0) applies to all the 2.6 branch?

I am about to upgrade from 1.5.1 to 2.6.2 and want to know if the MultiDB 2.6.0 works for all the 2.6 branch? I suppose it does, but I'd better make sure before doing the upgrade